tracker-status(1)

NAME
tracker-status - Report the state of all data miners

SYNOPSIS
tracker-status [OPTION...]

DESCRIPTION
tracker-status shows the status of all miners and the store which miners push information into. To do this, you can run tracker-status with no command line arguments. For tracker-store, the status is always Idle unless it is replaying a journal (regardless of load from applications or miners). For a list of common statuses, see --list-common-statuses. The miners can be paused or resumed using this command and you can list miners running and available. To start or stop miners, you need to use tracker-control. The store is started automatically by the D-Bus calls from the miners.

OPTIONS

-?, --help
    Show summary of options.

-f, --follow
    Follow status changes as they happen. This requires Ctrl+C to stop and return to the command line. Each new status is put on a new line. To get more information, you can use --detailed with this.

-d, --detailed
    For the most part, this purely provides a timestamp with each status update to follow WHEN changes happened.

-s, --list-common-statuses
    This will list statuses most commonly produced by miners and the store. These statuses are not translated when sent over D-Bus and should be translated by each application. These are not considered static and are subject to change at any point. Additionally, these statuses are not the only ones which may be reported by a miner. There may be other states pertaining to the specific roles of the miner in question.

-l, --list-miners-running
    This will list all miners which have responded to a D-Bus call. Sometimes it is helpfult to use this command with --list-miners-available.

-a, --list-miners-available
    This will list all miners which are available even if they are not running at the moment.

-i, --pause-details
    For listing all miners which are paused and the reasons for being paused, you can use this. It will also display the application that requested the pause too.

-m, --miner=MINER
    This argument is used with --pause and --resume to say which miner you want to pause or resume. You can use the full D-Bus name, e.g. org.freedesktop.Tracker1.Miner.Files OR you can use the suffix, e.g. Files

-p, --pause=REASON
    The REASON here is useful to know WHY the miner should be paused. A miner can be paused many times by multiple applications. Only when all pauses have been resumed will it continue. If successful, a cookie will be given to uniquely identify the request. This cookie is used to resume the pause at a later stage.

-r, --resume=COOKIE
    The COOKIE is given by a successful --pause command. It is a number which identifies each pause request. When all pauses have been resumed, the miner will resume working.

-V, --version
    Print version.

SEE ALSO
tracker-store(1), tracker-stats(1), tracker-control(1)